Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Reactions

Get Comment Reactions
GET /contentmodules/{moduleId}/content/{contentId}/comments/{commentId}/reactions
https://api.relesysapp.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}/comments/{commentId}/reactions
Get a list of content comment reactions.
Default sort is by type in ascending order.

type - This field displays the type of the reaction. Currently, the available types to filter on are:
  • Like
  • Love
  • Haha
  • Wow
  • Sad
  • Angry

Please note: Comments and reactions must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
commentId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
type string Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"1d4b37ed-f093-4163-a06f-4484824dfa8f","userId":"e156bac5-5b3f-4cab-8268-c9fd4658c288","type":"Angry","creationDateTime":"2026-07-12T08:56:23.7449135+00:00"},{"id":"52db5d23-fe6e-42b2-9dc7-18d5bceec9fa","userId":"47b76364-54f4-4f39-bd56-9d35dd7817e2","type":"Like","creationDateTime":"2026-07-12T09:56:23.7449135+00:00"}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   type string      
   userId string / guid      
  nextUrl string      
  previousUrl string